> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2026 01 22T13:12:32Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `loyaltyRuleChain` (array)

      > Chains attached to the loyalty rule

      Changed items (object):

      * Added property `operatorType` (string)

        > Type of the operator. AND if all conditions must be met, OR if any condition can be met.

        Enum values:

        * `AND`
        * `OR`
      * Changed property `loyaltyConditions` (array)

        Changed items (object):

        * Changed property `association` (array)

          Changed items (object):

          New required properties:

          * `loyaltyCurrency`

          - Added property `loyaltyCurrency` (object)

            * Property `name` (string)
              > Name of the loyalty currency

##### `GET` /api/loyalty/rule\_chains

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Added property `operatorType` (string)
      > Type of the operator. AND if all conditions must be met, OR if any condition can be met.

    * Changed property `loyaltyConditions` (array)

      Changed items (object):

      * Changed property `association` (array)

        Changed items (object):

        New required properties:

        * `loyaltyCurrency`

        - Added property `loyaltyCurrency` (object)

##### `POST` /api/loyalty/rule\_chains

###### Request:

Changed content type : `application/json`

* Added property `operatorType` (string)

  > Type of the condition. AND if all conditions must be met, OR if any condition can be met.

  Enum values:

  * `AND`
  * `OR`
* Changed property `loyaltyConditions` (array)

  > Array of conditions for the rule chain

  Changed items (object):

  * Changed property `type` (string)

    > The type of rule

    Removed enum values:

    * `section`
    * `level`
    * `api`
    * `csv`

##### `POST` /api/loyalty/rule\_chains/{loyaltyRuleChainId}

###### Request:

Changed content type : `application/json`

* Added property `operatorType` (string)
  > Type of the condition. AND if all conditions must be met, OR if any condition can be met.

* Changed property `loyaltyConditions` (array)

  > Array of conditions for the rule chain

  Changed items (object):

  * Changed property `type` (string)

    > The type of rule

    Removed enum values:

    * `section`
    * `level`
    * `api`
    * `csv`

#### Result

***

API changes broke backward compatibility
